opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
CvEMParams Struct Reference

`#include <ml.hpp>`

## Public Member Functions
| CvEMParams ()
| CvEMParams (int _nclusters, int _cov_mat_type=1, int _start_step=0, CvTermCriteria _term_crit=cvTermCriteria(CV_TERMCRIT_ITER+CV_TERMCRIT_EPS, 100, FLT_EPSILON), const CvMat *_probs=0, const CvMat *_weights=0, const CvMat *_means=0, const CvMat **_covs=0)

## Public Attributes
CV_PROP_RW int | cov_mat_type
const CvMat ** | covs
const CvMat * | means
CV_PROP_RW int | nclusters
const CvMat * | probs
CV_PROP_RW int | start_step
CV_PROP_RW CvTermCriteria | term_crit
const CvMat * | weights

## Constructor & Destructor Documentation

CvEMParams::CvEMParams | ( |  | ) |
| inline

CvEMParams::CvEMParams | ( | int | _nclusters,
|  | int | _cov_mat_type = `1`,
|  | int | _start_step = `0`,
|  | CvTermCriteria | _term_crit = `cvTermCriteria(CV_TERMCRIT_ITER+CV_TERMCRIT_EPS, 100, FLT_EPSILON)`,
|  | const CvMat * | _probs = `0`,
|  | const CvMat * | _weights = `0`,
|  | const CvMat * | _means = `0`,
|  | const CvMat ** | _covs = `0`
| ) |  |
| inline

## Member Data Documentation

CV_PROP_RW int CvEMParams::cov_mat_type

const CvMat** CvEMParams::covs

const CvMat* CvEMParams::means

CV_PROP_RW int CvEMParams::nclusters

const CvMat* CvEMParams::probs

CV_PROP_RW int CvEMParams::start_step

CV_PROP_RW CvTermCriteria CvEMParams::term_crit

const CvMat* CvEMParams::weights

The documentation for this struct was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/ml/include/opencv2/ml/ml.hpp